
<div class="form especificacao-funcional">
<?php
$form = $this->beginWidget('GxActiveForm', array(
        'id'                   => 'especificacao-funcional-form',
        'enableAjaxValidation' => false,
    ));
?>
<?php echo FaHtml::getFormInfo($form, $model); ?>


<?php echo $form->hiddenField($model, 'ESP_IDSOLICITACAO', array('type' => "hidden", 'value' => $ESP_IDSOLICITACAO));?>
<fieldset class="fieldset-esp">
        <h1>Não-Conformidade</h1>
        <div class="nao_conformidade fieldset-esp-content">
            <?php
            if(!empty($model->NaoConformidade) && is_array($model->NaoConformidade)) {
                foreach($model->NaoConformidade as $posTeste) {
                    $this->renderPartial('/especificacaoFuncionalNaoConformidade/form', array('NaoConformidade' => $posTeste));
                }
            }
            ?>
        </div>
        <a href="javascript:void(0);" class="clone-nao-conformidade">+ Adicionar nova não-conformidade</a>
    </fieldset><!-- row -->

    <fieldset class="fieldset-esp">
        <h1>Implementação Pós-Testes</h1>
        <div class="pos_teste fieldset-esp-content">
            <?php
            if(!empty($model->PosTeste) && is_array($model->PosTeste)) {
                foreach($model->PosTeste as $posTeste) {
                    $this->renderPartial('/especificacaoFuncionalPosTestes/form', array('PosTeste' => $posTeste));
                }
            }
            ?>
        </div>
        <a href="javascript:void(0);" class="clone-pos-teste">+ Adicionar nova implementação pós-teste</a>
    </fieldset><!-- row -->

    <div class="row">
<?php
echo FaHtml::saveButton();
$this->endWidget();
?>
</div>
</div><!-- form -->

<script type="text/javascript">

    add_nao_conformidade = function(id) {
        $.post('<?php echo Yii::app()->request->baseUrl ?>/index.php?r=especificacaoFuncionalNaoConformidade/form', {'id': id}, function(data) {
            $('.nao_conformidade').append(data);
        });
    };
    add_pos_teste = function(id) {
        $.post('<?php echo Yii::app()->request->baseUrl ?>/index.php?r=EspecificacaoFuncionalPosTestes/form', {'id': id}, function(data) {
            $('.pos_teste').append(data);
        });
    };

</script>

<?php
$cs = Yii::app()->getClientScript();
$cs->registerScriptFile('assets_custom/js/jquery.validationEngine.js');
$cs->registerScriptFile('assets_custom/js/jquery.validationEngine-br.js');
$cs->registerCssFile('assets_custom/css/validationEngine.jquery.css');
$jquery = '
    $(document).on("click", ".clone-nao-conformidade", function(e){
        e.preventDefault();
        add_nao_conformidade();
    });

    $(document).on("click", ".excluir-nao-conformidade", function(e){
        e.preventDefault();
        if(confirm("Tem certeza que deseja excluir este item?"))
            $(this).parents(".div-nao-conformidade").remove();
    });

    $(document).on("click", ".clone-pos-teste", function(e){
        e.preventDefault();
        add_pos_teste();
    });

    $(document).on("click", ".excluir-pos-teste", function(e){
        e.preventDefault();
        if(confirm("Tem certeza que deseja excluir este item?"))
            $(this).parents(".div-pos-teste").remove();
    });
    $(document).ajaxComplete(function() {$("#especificacao-funcional-form").validationEngine();});
';
Yii::app()->clientScript->registerScript('duplicate', $jquery);